{% extends "layout.html" %}

{% import "apostrophe-templates:macros/caseImageSection.html" as imageSection %}


{% block bodyClass %}
  {{ super() }} caselist-page
{% endblock %}

{% block main %}

  <div class="page-container">

    <div class="container hero-section">

      <div class="hero-col"></div>
      <div class="hero-col">
        <div class="hero-title appear appear-ground trigger-early">
          {{ apos.singleton(data.page, 'heroTitle', 'apostrophe-rich-text', {}) }}
        </div> 
      </div>

      <div class="filters-wrapper appear">
        <div class="filters">

            <!-- projects -->
            <!-- <div class="filter-group">
              <label for="projectFilter">Projects - </label>
              <select id="filterByProjects" class="" name="projects[]"  multiple="multiple"></select>

              <script>
                var projectFilterData = [];
                {% for project in data.page.workPageProjectsList.items[0]._projects %}
                  projectFilterData.push({
                    name: '{{ project.title }}',
                    value: '{{ project.titleSortified }}',
                    checked: false,
                  });
                {% endfor %}

                window.addEventListener('load', function(){
                    initFilter({
                      key: 'projects',
                      elem: $('#filterByProjects'),
                      data: projectFilterData,
                    });
                })
                </script>
            </div> -->
            
            <!-- services -->
            <div class="filter-group">
              <div class="flex-group">
                <label for="filterByServices">Services <span>- </span></label>
                <div class="close-button">
                  <img src="/modules/my-truffl/images/filter-close.svg" />
                </div>
              </div>
              <select id="filterByServices" name="services[]" multiple="multiple"></select>
              <script>
                var serviceFilters = [
                  {name: 'Brand Strategy', value: 'brand strategy', checked: false },
                  {name: 'Brand Identity', value: 'brand identity', checked: false },
                  {name: 'Content Production', value: 'content production', checked: false },
                  {name: 'Packaging', value: 'packaging', checked: false },
                  {name: 'Verbal Identity', value: 'verbal identity', checked: false },
                  {name: 'Web', value: 'web', checked: false },
                ];
                window.addEventListener('load', function(){
                  initFilter({
                    key: 'services',
                    elem: $('#filterByServices'),
                    parentElemQuery: '.filter-group',
                    data: serviceFilters,
                    textSearch : true, // search for matches within data
                  });
                })

              </script>
            </div>

            <div class="filter-group">
              <div class="flex-group">
                <label for="fitlerByIndustry">Industry <span>- </span></label>
                <div class="close-button">
                  <img src="/modules/my-truffl/images/filter-close.svg" />
                </div>
              </div>
              <select id="fitlerByIndustry" class="" name="industry[]" multiple="multiple"></select>
              <script>
                
                var rawIndustryFilters = [];
                {% for project in data.page.workPageProjectsList.items[0]._projects %}
                rawIndustryFilters.push('{{ project.projectType }}');
                {% endfor %}

                window.addEventListener('load', function(){
                  initFilter({
                    key: 'industry',
                    elem: $('#fitlerByIndustry'),
                    parentElemQuery: '.filter-group',
                    data: [],
                    parse: rawIndustryFilters,
                  });
                })
                

                </script>
            </div>

            <!-- tags  -->
            <!-- <div class="filter-group">
              <label for="filterByTags">Tags - </label>
              <select id="filterByTags" class="" name="tags[]" multiple="multiple"></select>
              <script>
                
                var filtersRaw = [];
                {% for project in data.page.workPageProjectsList.items[0]._projects %}
                  filtersRaw.push('{{ project.projectType }}');
                {% endfor %}

                window.addEventListener('load', function(){
                  initFilter({
                    key: 'tags',
                    elem: $('#filterByTags'),
                    data: [],
                    parse: filtersRaw,
                  });
                })
                

                </script>
            </div> -->

        </div><!-- end of .filters-->
      </div><!-- end of .filters-wrapper -->

        

      
    </div><!-- end of .hero-section -->

    <div class="container work-list">
      {{ apos.singleton(data.page, 'workPageProjectsList', 'project-work' )}}
    </div>

    <div class="container case-study-page dynamic-case-page" id="casePageContent" data-dynamic-content="todo"></div>

   
   
  </div><!-- end of .page-container -->

  {% endblock %}